﻿using Delete_Database_MVC.Models;
using System.Web.Mvc;

using System.Configuration;
using System.Data.SqlClient;

namespace Delete_Database_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(CustomerModel customer)
        {
            string query = "DELETE FROM Customers WHERE CustomerId=@CustomerId";
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand(query,con))
                {
                    cmd.Parameters.AddWithValue("@CustomerId", customer.CustomerId);
                    con.Open();
                    int i = cmd.ExecuteNonQuery();
                    con.Close();

                    if (i > 0)
                    {
                        ViewBag.Message = "Customer record deleted.";
                    }
                    else
                    {
                        ViewBag.Message = "Customer not found.";
                    }
                }
            }
            return View();
        }
    }
}